
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "pgl/pgl.h"

#include "pgl/PglKnownNamesSym.h"


KnownNamesSym::KnownNamesSym(const String &anItemType): ArraySym(anItemType) {
}

bool KnownNamesSym::isA(const String &type) const {
	return ArraySym::isA(type) || type == "KnownNames";
}

ArraySym *KnownNamesSym::create(const String &itemType) const {
	return new KnownNamesSym(itemType);
}
