
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_POP_MODEL_SYMBOL_H
#define PG_POP_MODEL_SYMBOL_H

#include "pgl/PglRecSym.h"

class String;
class PopDistr;

// server side configuration
class PopModelSym: public RecSym {
	public:
		PopModelSym();
		PopModelSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

		PopDistr *popDistr() const;
		bool hotSetFrac(double &ratio) const;
		bool hotSetProb(double &prob) const;
		bool bhrDiscr(double &prob) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;
};

#endif
