
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_PROBE_CLIENT_XACTION_H
#define PG_PROBE_CLIENT_XACTION_H

#include "probe/ProbeXact.h"

class ProbeClt;

class ProbeCltXact: public ProbeXact {
	public:
		ProbeCltXact(const NetAddr &aCltHost, const NetAddr &aSrvHost, const int fd);

		void exec(ProbeClt *anOwner);
		virtual ProbeAgent *owner();
		virtual const ProbeAgent *owner() const;


	protected:
		ProbeClt *theOwner;
};

#endif
